OCF_HEARTBEAT_VDO-V(7)

NAME
ocf_heartbeat_vdo-vol - VDO resource agent

SYNOPSIS

vdo-vol [start | stop | status | monitor | meta-data | validate-all]

DESCRIPTION

OCF Resource script for VDO (Virtual Data Optimizer) volume(s). It manages VDO volume(s) as a HA resource.

The configuration file needs to be synced to all nodes, and the systemd vdo service must be disabled when using this agent.

SUPPORTED PARAMETERS

config
    Configuration file

    (optional, string, no default)

volume
    VDO Volume (leave empty for all)

    (optional, string, no default)

SUPPORTED ACTIONS

This resource agent supports the following actions (operations):

start
    Starts the resource. Suggested minimum timeout: 60s.

stop
    Stops the resource. Suggested minimum timeout: 20s.

status
    Performs a status check. Suggested minimum timeout: 20s.

monitor
    Performs a detailed status check. Suggested minimum timeout: 20s. Suggested interval: 10s.

validate-all
    Performs a validation of the resource configuration. Suggested minimum timeout: 20s.

meta-data
    Retrieves resource agent metadata (internal use only). Suggested minimum timeout: 20s.

EXAMPLE CRM SHELL

The following is an example configuration for a vdo-vol resource using the crm(8) shell:

    primitive p_vdo-vol ocf:heartbeat:vdo-vol \
      op monitor depth="0" timeout="20s" interval="10s" start-delay="10s"

EXAMPLE PCS

The following is an example configuration for a vdo-vol resource using pcs(8)

    pcs resource create p_vdo-vol ocf:heartbeat:vdo-vol \
      op monitor OCF_CHECK_LEVEL="0" timeout="20s" interval="10s" start-delay="10s"

SEE ALSO

http://clusterlabs.org/

AUTHOR

ClusterLabs contributors (see the resource agent source for information about individual authors)